[bugs] calcurse-caldav not finding server


Hi,

I couldn't get calcurse-caldav to connect with a radicale server I
had, so I thought I'd try connecting it with a Yahoo calendar.  Same
result.  I installed the git version of calcurse, and got the same
results.  It says "temporary failure in name resolution"  (the output
is below), but no other programs have trouble with connecting to other
computers.  I'm wondering if I'm missing a library, or if someone has
an idea of what's going wrong.

Thanks,
Jay


Connecting to https://caldav.calendar.yahoo.com/...
Traceback (most recent call last):
 File "/usr/lib/python3/dist-packages/httplib2/__init__.py", line 1186, in _conn_request
   conn.connect()
 File "/usr/lib/python3/dist-packages/httplib2/__init__.py", line 998, in connect
   address_info = socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM)
 File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
   for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File "./calcurse-caldav", line 716, in <module>
   etagdict = get_etags(conn)
 File "./calcurse-caldav", line 273, in get_etags
   headers, body = remote_query(conn, "REPORT", absolute_uri, headers, body)
 File "./calcurse-caldav", line 234, in remote_query
   resp, body = conn.request(path, cmd, body=body, headers=headers)
 File "/usr/lib/python3/dist-packages/httplib2/__init__.py", line 1513, in request
   (response, content) = self._request(conn, authority, uri, request_uri, method, body, headers, redirections, cachekey)
 File "/usr/lib/python3/dist-packages/httplib2/__init__.py", line 1263, in _request
   (response, content) = self._conn_request(conn, request_uri, method, body, headers)
 File "/usr/lib/python3/dist-packages/httplib2/__init__.py", line 1193, in _conn_request
   raise ServerNotFoundError("Unable to find the server at %s" % conn.host)
httplib2.ServerNotFoundError: Unable to find the server at https

Links